package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Enterprise;
import com.ruoyi.web.work.domain.vo.EnterpriseListVo;

import java.util.List;

/**
 * @author lsw
 * @date 2024-06-05
 */
public interface IEnterpriseService extends IService<Enterprise>{
    List<Enterprise> selectList(Enterprise enterprise);

    /**
     * 企业卡片
     * @param enterprise
     * @return
     */
    List<EnterpriseListVo> indexList(Enterprise enterprise);

    AjaxResult index();

    AjaxResult edit(Enterprise enterprise);

    AjaxResult audit(Enterprise enterprise);

    AjaxResult detail(Long id);
}
